Outdated plugins not updated for 2.4.1?

Are you having trouble getting Virtual Radar Server installed and running? If so then this is the place to ask about it.
Post Reply
MattBNA
Posts: 9
Joined: Sat Mar 11, 2017 8:32 am

Outdated plugins not updated for 2.4.1?

Post by MattBNA » Wed Jun 13, 2018 8:18 am

Have been bouncing from preview to full release for around three years now and everything has always worked well. Private server is hosted on a DigitalOcean Debian virtual server under Mono and have data coming in from sites around the country. Usually average 2500+ aircraft at a time during the day, which a computer can handle displaying easily in a browser, but really chokes a mobile device. Have to be more specific about the receiver you're wanting to see to keep a phone happy with that many things moving at once. :)

I had been running the most recent preview version and recently decided to install the Feed Filter plugin, but never could get it to do anything. Every time I'd try to access the URL that I've seen others mention in the forums (that should have opened it), it just sat there. Seems like that plugin should be able to work with a full release by now and not still be limited to preview releases...but perhaps not?

Within the past hour, I've updated my server to 2.4.1 and have, as another poster mentioned, lost the Database Writer and Custom Content plugins. These haven't been updated since 2016, even with the new release of 2.4.1. Any idea what the plan will be to get them working with the current release?

Here's a screenshot of a fresh log file upon startup.

Thanks for any information you can provide.

https://www.dropbox.com/s/sedl0ta66g8qg ... 7.png?dl=0

Matt

--

agw
Posts: 2146
Joined: Fri Feb 17, 2012 3:20 am

Re: Outdated plugins not updated for 2.4.1?

Post by agw » Wed Jun 13, 2018 5:53 pm

You were using the previews of version 3. You can still download those, follow the link to the v3 beta installers from the preview page on the site.

The 2.4.0 plugins from 2016 will work with 2.4.1.

Steve M
Posts: 9
Joined: Tue Dec 31, 2013 3:22 pm
Location: Aberdeen (EGPD)
Contact:

Re: Outdated plugins not updated for 2.4.1?

Post by Steve M » Fri Jun 15, 2018 12:28 pm

Unfortunately not the FeedFilter plugin. I have uninstalled and completely reinstalled VRS software and downloaded the FeedFilter Beta 3 and it still doesn't work with V2.4.1. Would love to have that filter working when you can please. Thanks

agw
Posts: 2146
Joined: Fri Feb 17, 2012 3:20 am

Re: Outdated plugins not updated for 2.4.1?

Post by agw » Sat Jun 16, 2018 10:42 pm

I've uploaded the 2.4.0 feed filter plugin to previews. I think it's basically the same as version 3 except V3 added support for filtering out ranges of ICAOs.

Post Reply